StandardJavadocDocletOptions (Gradle API 2.14.1)

Package: org.gradle.external.javadoc

## [Java] Class StandardJavadocDocletOptions

- org.gradle.external.javadoc.StandardJavadocDocletOptions

- All Implemented Interfaces and Traits:
    MinimalJavadocOptions

      public class StandardJavadocDocletOptions
      extends CoreJavadocOptions

  Provides the options for the standard Javadoc doclet.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `JavadocOptionFileOption<Boolean>` | `noTimestamp` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StandardJavadocDocletOptions ()`
    `StandardJavadocDocletOptions (org.gradle.external.javadoc.internal.JavadocOptionFile javadocOptionFile)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `StandardJavadocDocletOptions` | `author(boolean author)`
    `StandardJavadocDocletOptions` | `author()`
    `StandardJavadocDocletOptions` | `bottom(String bottom)`
    `StandardJavadocDocletOptions` | `charSet(String charSet)`
    `StandardJavadocDocletOptions` | `destinationDirectory(File destinationDirectory)`
    `StandardJavadocDocletOptions` | `docEncoding(String docEncoding)`
    `StandardJavadocDocletOptions` | `docFilesSubDirs(boolean docFilesSubDirs)`
    `StandardJavadocDocletOptions` | `docFilesSubDirs()`
    `StandardJavadocDocletOptions` | `docTitle(String docTitle)`
    `StandardJavadocDocletOptions` | `excludeDocFilesSubDir(List<String> excludeDocFilesSubDir)`
    `StandardJavadocDocletOptions` | `excludeDocFilesSubDir(String... excludeDocFilesSubDir)`
    `StandardJavadocDocletOptions` | `footer(String footer)`
    `String` | `getBottom()`
    `String` | `getCharSet()`
    `File` | `getDestinationDirectory()`
    `String` | `getDocEncoding()`
    `String` | `getDocTitle()`
    `List<String>` | `getExcludeDocFilesSubDir()`
    `String` | `getFooter()`
    `Map<String, List<String>>` | `getGroups()`
    `String` | `getHeader()`
    `File` | `getHelpFile()`
    `List<String>` | `getLinks()`
    `List<JavadocOfflineLink>` | `getLinksOffline()`
    `List<String>` | `getNoQualifiers()`
    `File` | `getStylesheetFile()`
    `List<File>` | `getTagletPath()`
    `List<String>` | `getTaglets()`
    `List<String>` | `getTags()`
    `String` | `getWindowTitle()`
    `StandardJavadocDocletOptions` | `group(Map<String, List<String>> groups)`
    `StandardJavadocDocletOptions` | `group(String groupName, List<String> packagePatterns)`
    `StandardJavadocDocletOptions` | `group(String groupName, String... packagePatterns)`
    `StandardJavadocDocletOptions` | `groupsFile(File groupsFile)`
    `StandardJavadocDocletOptions` | `header(String header)`
    `StandardJavadocDocletOptions` | `helpFile(File helpFile)`
    `boolean` | `isAuthor()`
    `boolean` | `isDocFilesSubDirs()`
    `boolean` | `isKeyWords()`
    `boolean` | `isLinkSource()`
    `boolean` | `isNoComment()`
    `boolean` | `isNoDeprecated()`
    `boolean` | `isNoDeprecatedList()`
    `boolean` | `isNoHelp()`
    `boolean` | `isNoIndex()`
    `boolean` | `isNoNavBar()`
    `boolean` | `isNoSince()`
    `boolean` | `isNoTimestamp()`
    `boolean` | `isNoTree()`
    `boolean` | `isSerialWarn()`
    `boolean` | `isSplitIndex()`
    `boolean` | `isUse()`
    `boolean` | `isVersion()`
    `StandardJavadocDocletOptions` | `keyWords(boolean keyWords)`
    `StandardJavadocDocletOptions` | `keyWords()`
    `StandardJavadocDocletOptions` | `linkSource(boolean linkSource)`
    `StandardJavadocDocletOptions` | `linkSource()`
    `StandardJavadocDocletOptions` | `links(String... links)`
    `StandardJavadocDocletOptions` | `linksFile(File linksFile)`
    `StandardJavadocDocletOptions` | `linksOffline(String extDocUrl, String packageListLoc)`
    `StandardJavadocDocletOptions` | `linksOfflineFile(File linksOfflineFile)`
    `StandardJavadocDocletOptions` | `noComment(boolean noComment)`
    `StandardJavadocDocletOptions` | `noComment()`
    `StandardJavadocDocletOptions` | `noDeprecated(boolean nodeprecated)`
    `StandardJavadocDocletOptions` | `noDeprecated()`
    `StandardJavadocDocletOptions` | `noDeprecatedList(boolean noDeprecatedList)`
    `StandardJavadocDocletOptions` | `noDeprecatedList()`
    `StandardJavadocDocletOptions` | `noHelp(boolean noHelp)`
    `StandardJavadocDocletOptions` | `noHelp()`
    `StandardJavadocDocletOptions` | `noIndex(boolean noIndex)`
    `StandardJavadocDocletOptions` | `noIndex()`
    `StandardJavadocDocletOptions` | `noNavBar(boolean noNavBar)`
    `StandardJavadocDocletOptions` | `noNavBar()`
    `StandardJavadocDocletOptions` | `noQualifier(List<String> noQualifiers)`
    `StandardJavadocDocletOptions` | `noQualifiers(String... noQualifiers)`
    `StandardJavadocDocletOptions` | `noSince(boolean noSince)`
    `StandardJavadocDocletOptions` | `noSince()`
    `StandardJavadocDocletOptions` | `noTimestamp(boolean noTimestamp)`
    `StandardJavadocDocletOptions` | `noTimestamp()`
    `StandardJavadocDocletOptions` | `noTree(boolean noTree)`
    `StandardJavadocDocletOptions` | `noTree()`
    `StandardJavadocDocletOptions` | `serialWarn(boolean serialWarn)`
    `StandardJavadocDocletOptions` | `serialWarn()`
    `void` | `setAuthor(boolean author)`
    `void` | `setBottom(String bottom)`
    `void` | `setCharSet(String charSet)`
    `void` | `setDestinationDirectory(File directory)`
    `void` | `setDocEncoding(String docEncoding)`
    `void` | `setDocFilesSubDirs(boolean docFilesSubDirs)`
    `void` | `setDocTitle(String docTitle)`
    `void` | `setExcludeDocFilesSubDir(List<String> excludeDocFilesSubDir)`
    `void` | `setFooter(String footer)`
    `void` | `setGroups(Map<String, List<String>> groups)`
    `void` | `setHeader(String header)`
    `void` | `setHelpFile(File helpFile)`
    `void` | `setKeyWords(boolean keyWords)`
    `void` | `setLinkSource(boolean linkSource)`
    `void` | `setLinks(List<String> links)`
    `void` | `setLinksOffline(List<JavadocOfflineLink> linksOffline)`
    `void` | `setNoComment(boolean noComment)`
    `void` | `setNoDeprecated(boolean noDeprecated)`
    `void` | `setNoDeprecatedList(boolean noDeprecatedList)`
    `void` | `setNoHelp(boolean noHelp)`
    `void` | `setNoIndex(boolean noIndex)`
    `void` | `setNoNavBar(boolean noNavBar)`
    `void` | `setNoQualifiers(List<String> noQualifiers)`
    `void` | `setNoSince(boolean noSince)`
    `void` | `setNoTimestamp(boolean noTimestamp)`
    `void` | `setNoTree(boolean noTree)`
    `void` | `setSerialWarn(boolean serialWarn)`
    `void` | `setSplitIndex(boolean splitIndex)`
    `void` | `setStylesheetFile(File stylesheetFile)`
    `void` | `setTagletPath(List<File> tagletPath)`
    `void` | `setTaglets(List<String> taglets)`
    `void` | `setTags(List<String> tags)`
    `void` | `setUse(boolean use)`
    `void` | `setVersion(boolean version)`
    `void` | `setWindowTitle(String windowTitle)`
    `StandardJavadocDocletOptions` | `splitIndex(boolean splitIndex)`
    `StandardJavadocDocletOptions` | `splitIndex()`
    `StandardJavadocDocletOptions` | `stylesheetFile(File stylesheetFile)`
    `StandardJavadocDocletOptions` | `tagletPath(List<File> tagletPath)`
    `StandardJavadocDocletOptions` | `tagletPath(File... tagletPath)`
    `StandardJavadocDocletOptions` | `taglets(List<String> taglets)`
    `StandardJavadocDocletOptions` | `taglets(String... taglets)`
    `StandardJavadocDocletOptions` | `tags(List<String> tags)`
    `StandardJavadocDocletOptions` | `tags(String... tags)`
    `StandardJavadocDocletOptions` | `tagsFile(File tagsFile)`
    `StandardJavadocDocletOptions` | `use(boolean use)`
    `StandardJavadocDocletOptions` | `use()`
    `StandardJavadocDocletOptions` | `version(boolean version)`
    `StandardJavadocDocletOptions` | `version()`
    `StandardJavadocDocletOptions` | `windowTitle(String windowTitle)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CoreJavadocOptions` | `addBooleanOption, addBooleanOption, addEnumOption, addEnumOption, addFileOption, addFileOption, addMultilineStringsOption, addOption, addPathOption, addPathOption, addStringOption, addStringOption, addStringsOption, addStringsOption, bootClasspath, breakIterator, breakIterator, classpath, classpath, contributeCommandLineOptions, doclet, docletpath, encoding, extDirs, getBootClasspath, getClasspath, getDoclet, getDocletpath, getEncoding, getExtDirs, getJFlags, getLocale, getMemberLevel, getOptionFiles, getOutputLevel, getOverview, getSource, getSourceNames, isBreakIterator, isVerbose, jFlags, locale, optionFiles, overview, quiet, setBootClasspath, setBreakIterator, setClasspath, setDoclet, setDocletpath, setEncoding, setExtDirs, setJFlags, setLocale, setMemberLevel, setOptionFiles, setOutputLevel, setOverview, setSource, setSourceNames, showAll, showFromPackage, showFromPrivate, showFromProtected, showFromPublic, source, sourceNames, verbose, write`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public final JavadocOptionFileOption<Boolean> noTimestamp

  - ### Constructor Detail

    - #### public StandardJavadocDocletOptions()

    - #### public StandardJavadocDocletOptions(org.gradle.external.javadoc.internal.JavadocOptionFile javadocOptionFile)

  - ### Method Detail

    - #### public StandardJavadocDocletOptions author(boolean author)

    - #### public StandardJavadocDocletOptions author()

    - #### public StandardJavadocDocletOptions bottom(String bottom)

    - #### public StandardJavadocDocletOptions charSet(String charSet)

    - #### @Override public StandardJavadocDocletOptions destinationDirectory(File destinationDirectory)

    - #### public StandardJavadocDocletOptions docEncoding(String docEncoding)

    - #### public StandardJavadocDocletOptions docFilesSubDirs(boolean docFilesSubDirs)

    - #### public StandardJavadocDocletOptions docFilesSubDirs()

    - #### public StandardJavadocDocletOptions docTitle(String docTitle)

    - #### public StandardJavadocDocletOptions excludeDocFilesSubDir(List<String> excludeDocFilesSubDir)

    - #### public StandardJavadocDocletOptions excludeDocFilesSubDir(String... excludeDocFilesSubDir)

    - #### public StandardJavadocDocletOptions footer(String footer)

    - #### public String getBottom()

    - #### public String getCharSet()

    - #### @Override public File getDestinationDirectory()

    - #### public String getDocEncoding()

    - #### public String getDocTitle()

    - #### public List<String> getExcludeDocFilesSubDir()

    - #### public String getFooter()

    - #### public Map<String, List<String>> getGroups()

    - #### @Override public String getHeader()

    - #### public File getHelpFile()

    - #### public List<String> getLinks()

    - #### public List<JavadocOfflineLink> getLinksOffline()

    - #### public List<String> getNoQualifiers()

    - #### public File getStylesheetFile()

    - #### public List<File> getTagletPath()

    - #### public List<String> getTaglets()

    - #### public List<String> getTags()

    - #### @Override public String getWindowTitle()

    - #### public StandardJavadocDocletOptions group(Map<String, List<String>> groups)

    - #### public StandardJavadocDocletOptions group(String groupName, List<String> packagePatterns)

    - #### public StandardJavadocDocletOptions group(String groupName, String... packagePatterns)

    - #### public StandardJavadocDocletOptions groupsFile(File groupsFile)

    - #### @Override public StandardJavadocDocletOptions header(String header)

    - #### public StandardJavadocDocletOptions helpFile(File helpFile)

    - #### public boolean isAuthor()

    - #### public boolean isDocFilesSubDirs()

    - #### public boolean isKeyWords()

    - #### public boolean isLinkSource()

    - #### public boolean isNoComment()

    - #### public boolean isNoDeprecated()

    - #### public boolean isNoDeprecatedList()

    - #### public boolean isNoHelp()

    - #### public boolean isNoIndex()

    - #### public boolean isNoNavBar()

    - #### public boolean isNoSince()

    - #### public boolean isNoTimestamp()

    - #### public boolean isNoTree()

    - #### public boolean isSerialWarn()

    - #### public boolean isSplitIndex()

    - #### public boolean isUse()

    - #### public boolean isVersion()

    - #### public StandardJavadocDocletOptions keyWords(boolean keyWords)

    - #### public StandardJavadocDocletOptions keyWords()

    - #### public StandardJavadocDocletOptions linkSource(boolean linkSource)

    - #### public StandardJavadocDocletOptions linkSource()

    - #### public StandardJavadocDocletOptions links(String... links)

    - #### public StandardJavadocDocletOptions linksFile(File linksFile)

    - #### public StandardJavadocDocletOptions linksOffline(String extDocUrl, String packageListLoc)

    - #### public StandardJavadocDocletOptions linksOfflineFile(File linksOfflineFile)

    - #### public StandardJavadocDocletOptions noComment(boolean noComment)

    - #### public StandardJavadocDocletOptions noComment()

    - #### public StandardJavadocDocletOptions noDeprecated(boolean nodeprecated)

    - #### public StandardJavadocDocletOptions noDeprecated()

    - #### public StandardJavadocDocletOptions noDeprecatedList(boolean noDeprecatedList)

    - #### public StandardJavadocDocletOptions noDeprecatedList()

    - #### public StandardJavadocDocletOptions noHelp(boolean noHelp)

    - #### public StandardJavadocDocletOptions noHelp()

    - #### public StandardJavadocDocletOptions noIndex(boolean noIndex)

    - #### public StandardJavadocDocletOptions noIndex()

    - #### public StandardJavadocDocletOptions noNavBar(boolean noNavBar)

    - #### public StandardJavadocDocletOptions noNavBar()

    - #### public StandardJavadocDocletOptions noQualifier(List<String> noQualifiers)

    - #### public StandardJavadocDocletOptions noQualifiers(String... noQualifiers)

    - #### public StandardJavadocDocletOptions noSince(boolean noSince)

    - #### public StandardJavadocDocletOptions noSince()

    - #### public StandardJavadocDocletOptions noTimestamp(boolean noTimestamp)

    - #### public StandardJavadocDocletOptions noTimestamp()

    - #### public StandardJavadocDocletOptions noTree(boolean noTree)

    - #### public StandardJavadocDocletOptions noTree()

    - #### public StandardJavadocDocletOptions serialWarn(boolean serialWarn)

    - #### public StandardJavadocDocletOptions serialWarn()

    - #### public void setAuthor(boolean author)

    - #### public void setBottom(String bottom)

    - #### public void setCharSet(String charSet)

    - #### @Override public void setDestinationDirectory(File directory)

    - #### public void setDocEncoding(String docEncoding)

    - #### public void setDocFilesSubDirs(boolean docFilesSubDirs)

    - #### public void setDocTitle(String docTitle)

    - #### public void setExcludeDocFilesSubDir(List<String> excludeDocFilesSubDir)

    - #### public void setFooter(String footer)

    - #### public void setGroups(Map<String, List<String>> groups)

    - #### @Override public void setHeader(String header)

    - #### public void setHelpFile(File helpFile)

    - #### public void setKeyWords(boolean keyWords)

    - #### public void setLinkSource(boolean linkSource)

    - #### public void setLinks(List<String> links)

    - #### public void setLinksOffline(List<JavadocOfflineLink> linksOffline)

    - #### public void setNoComment(boolean noComment)

    - #### public void setNoDeprecated(boolean noDeprecated)

    - #### public void setNoDeprecatedList(boolean noDeprecatedList)

    - #### public void setNoHelp(boolean noHelp)

    - #### public void setNoIndex(boolean noIndex)

    - #### public void setNoNavBar(boolean noNavBar)

    - #### public void setNoQualifiers(List<String> noQualifiers)

    - #### public void setNoSince(boolean noSince)

    - #### public void setNoTimestamp(boolean noTimestamp)

    - #### public void setNoTree(boolean noTree)

    - #### public void setSerialWarn(boolean serialWarn)

    - #### public void setSplitIndex(boolean splitIndex)

    - #### public void setStylesheetFile(File stylesheetFile)

    - #### public void setTagletPath(List<File> tagletPath)

    - #### public void setTaglets(List<String> taglets)

    - #### public void setTags(List<String> tags)

    - #### public void setUse(boolean use)

    - #### public void setVersion(boolean version)

    - #### @Override public void setWindowTitle(String windowTitle)

    - #### public StandardJavadocDocletOptions splitIndex(boolean splitIndex)

    - #### public StandardJavadocDocletOptions splitIndex()

    - #### public StandardJavadocDocletOptions stylesheetFile(File stylesheetFile)

    - #### public StandardJavadocDocletOptions tagletPath(List<File> tagletPath)

    - #### public StandardJavadocDocletOptions tagletPath(File... tagletPath)

    - #### public StandardJavadocDocletOptions taglets(List<String> taglets)

    - #### public StandardJavadocDocletOptions taglets(String... taglets)

    - #### public StandardJavadocDocletOptions tags(List<String> tags)

    - #### public StandardJavadocDocletOptions tags(String... tags)

    - #### public StandardJavadocDocletOptions tagsFile(File tagsFile)

    - #### public StandardJavadocDocletOptions use(boolean use)

    - #### public StandardJavadocDocletOptions use()

    - #### public StandardJavadocDocletOptions version(boolean version)

    - #### public StandardJavadocDocletOptions version()

    - #### @Override public StandardJavadocDocletOptions windowTitle(String windowTitle)